from django.urls import path

from . import views
from .views import (BooksListView, BooksDetailView, BooksCreateView, 
                    BooksUpdateView, AuthorsListView, AuthorsDetailView, 
                    AuthorsCreateView, AuthorsUpdateView)

urlpatterns = [
    path('home/', views.homepage_view, name='home'),
    path('books/', BooksListView.as_view(), name='books'),
    path('books/<int:pk>/details/', BooksDetailView.as_view(), name='book_details'),
    path('home/books/add/', BooksCreateView.as_view(), name='add-book'),
    path('books/<int:pk>/details/edit/', BooksUpdateView.as_view(), name='edit-book'),
    path('authors/', AuthorsListView.as_view(), name='authors'),
    path('authors/<int:pk>/details/', AuthorsDetailView.as_view(), name='author_details'),
    path('home/authors/add/', AuthorsCreateView.as_view(), name='add-author'),
    path('authors/<int:pk>/details/edit/', AuthorsUpdateView.as_view(), name='edit-author')
]

app_name = 'bookshelf'